## ros-indigo-informed-object-search 0.0.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(informed_object_search)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
  actionlib
  interactive_world_msgs
  roscpp
)
find_package(Boost REQUIRED)

###################################################
## Declare things to be passed to other projects ##
###################################################

## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package()

###########
## Build ##
###########

## Specify additional locations of header files
include_directories(include
  ${boost_INCLUDE_DIRS}
  ${catkin_INCLUDE_DIRS}
)

## Declare a cpp executable
add_executable(${PROJECT_NAME}
  nodes/${PROJECT_NAME}.cpp
  src/ObjectSearcher.cpp
  src/ObjectOnSurfaceModel.cpp
)

## Add message build dependencies (needed for source build)
add_dependencies(${PROJECT_NAME} interactive_world_msgs_gencpp)

## Specify libraries to link a library or executable target against
target_link_libraries(${PROJECT_NAME}
  ${boost_LIBRARIES}
  ${catkin_LIBRARIES}
)

#############
## Install ##
#############

## Mark executables and/or libraries for installation
install(TARGETS ${PROJECT_NAME}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Copy header files
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.hpp" PATTERN "*.h"
)

## Copy launch files
install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

## Copy rviz files
install(DIRECTORY rviz/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/rviz
)

=== debian/changelog ===
ros-indigo-informed-object-search (0.0.12-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Thu, 31 Mar 2016 07:00:00 -0000

ros-indigo-informed-object-search (0.0.11-0trusty) trusty; urgency=high

  * Update package.xml
  * small edits to server
  * Contributors: David Kent, Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Fri, 19 Feb 2016 08:00:00 -0000

ros-indigo-informed-object-search (0.0.10-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Fri, 10 Apr 2015 07:00:00 -0000

ros-indigo-informed-object-search (0.0.9-0trusty) trusty; urgency=high

  * temporal search added
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Fri, 10 Apr 2015 07:00:00 -0000

ros-indigo-informed-object-search (0.0.8-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Fri, 03 Apr 2015 07:00:00 -0000

ros-indigo-informed-object-search (0.0.7-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Tue, 31 Mar 2015 07:00:00 -0000

ros-indigo-informed-object-search (0.0.6-0trusty) trusty; urgency=high

  * travis fix
  * higher level action server started
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Mon, 30 Mar 2015 07:00:00 -0000

ros-indigo-informed-object-search (0.0.5-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 18 Feb 2015 08:00:00 -0000

ros-indigo-informed-object-search (0.0.4-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Tue, 17 Feb 2015 08:00:00 -0000

ros-indigo-informed-object-search (0.0.3-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Fri, 16 Jan 2015 08:00:00 -0000

ros-indigo-informed-object-search (0.0.2-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Tue, 16 Dec 2014 08:00:00 -0000

ros-indigo-informed-object-search (0.0.1-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Fri, 12 Dec 2014 08:00:00 -0000

=== debian/control ===
Source: ros-indigo-informed-object-search
Section: misc
Priority: extra
Maintainer: Russell Toris <rctoris@wpi.edu>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-indigo-actionlib, ros-indigo-catkin, ros-indigo-interactive-world-msgs, ros-indigo-roscpp
Homepage: http://ros.org/wiki/search_and_retrieve
Standards-Version: 3.9.2

Package: ros-indigo-informed-object-search
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-indigo-actionlib, ros-indigo-interactive-world-msgs, ros-indigo-interactive-world-tools, ros-indigo-roscpp
Description: Object Search via the Interactive World Data

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-informed-object-search//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
